/* -*- C -*-
   +----------------------------------------------------------------------+
   | PHP Version 5                                                        |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2004 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 3.0 of the PHP license,       |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.php.net/license/3_0.txt.                                  |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors: Andi Gutmans <andi@zend.com>                                |
   |          Zeev Suraski <zeev@zend.com>                                |
   +----------------------------------------------------------------------+
 */

/* $Id: internal_functions.c.in,v 1.27 2004/01/08 17:33:04 sniper Exp $ */

#include "php.h"
#include "php_main.h"
#include "zend_modules.h"
#include "internal_functions_registry.h"
#include "zend_compile.h"
#include <stdarg.h>
#include <stdlib.h>
#include <stdio.h>

#include "ext/libxml/php_libxml.h"
#include "ext/openssl/php_openssl.h"
#include "ext/zlib/php_zlib.h"
#include "ext/bz2/php_bz2.h"
#include "ext/calendar/php_calendar.h"
#include "ext/ctype/php_ctype.h"
#include "ext/curl/php_curl.h"
#include "ext/dbx/php_dbx.h"
#include "ext/dio/php_dio.h"
#include "ext/exif/php_exif.h"
#include "ext/ftp/php_ftp.h"
#include "ext/gettext/php_gettext.h"
#include "ext/gmp/php_gmp.h"
#include "ext/iconv/php_iconv.h"
#include "ext/mime_magic/php_mime_magic.h"
#include "ext/pcntl/php_pcntl.h"
#include "ext/pcre/php_pcre.h"
#include "ext/posix/php_posix.h"
#include "ext/pspell/php_pspell.h"
#include "ext/session/php_session.h"
#include "ext/shmop/php_shmop.h"
#include "ext/simplexml/php_simplexml.h"
#include "ext/sockets/php_sockets.h"
#include "ext/spl/php_spl.h"
#include "ext/standard/php_standard.h"
#include "ext/sysvmsg/php_sysvmsg.h"
#include "ext/sysvsem/php_sysvsem.h"
#include "ext/sysvshm/php_sysvshm.h"
#include "ext/tokenizer/php_tokenizer.h"
#include "ext/wddx/php_wddx.h"
#include "ext/xml/php_xml.h"
#include "ext/yp/php_yp.h"


zend_module_entry *php_builtin_extensions[] = {
	phpext_yp_ptr,
	phpext_xml_ptr,
	phpext_wddx_ptr,
	phpext_tokenizer_ptr,
	phpext_sysvshm_ptr,
	phpext_sysvsem_ptr,
	phpext_sysvmsg_ptr,
	phpext_standard_ptr,
	phpext_spl_ptr,
	phpext_sockets_ptr,
	phpext_simplexml_ptr,
	phpext_shmop_ptr,
	phpext_session_ptr,
	phpext_pspell_ptr,
	phpext_posix_ptr,
	phpext_pcre_ptr,
	phpext_pcntl_ptr,
	phpext_mime_magic_ptr,
	phpext_iconv_ptr,
	phpext_gmp_ptr,
	phpext_gettext_ptr,
	phpext_ftp_ptr,
	phpext_exif_ptr,
	phpext_dio_ptr,
	phpext_dbx_ptr,
	phpext_curl_ptr,
	phpext_ctype_ptr,
	phpext_calendar_ptr,
	phpext_bz2_ptr,
	phpext_zlib_ptr,
	phpext_openssl_ptr,
	phpext_libxml_ptr,

};

#define EXTCOUNT (sizeof(php_builtin_extensions)/sizeof(zend_module_entry *))
	

int php_startup_internal_extensions(void)
{
	return php_startup_extensions(php_builtin_extensions, EXTCOUNT);
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 */
